Subject: bug#56773: closed (Re: bug#56773: 29.0.50; (readablep UNREADABLE) causes strange things)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 28 Jul 2022 02:55:02 +0000

Your bug report

#56773: 29.0.50; (readablep UNREADABLE) causes strange things

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56773: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56773
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#56773: 29.0.50; (readablep UNREADABLE) causes strange things
From: Po Lu <[email-masked]>
To: Michael Heerdegen <[email-masked]>
Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
Date: Thu, 28 Jul 2022 10:53:57 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Heerdegen <[email-masked]> writes:

> Po Lu <[email-masked]> writes:
>
>> Right, thanks.  I fixed that as well.
>
> Thanks for the fix.  My use case seems to behave sane now.
>
> Michael.

Closing, thanks for testing.

Subject: 29.0.50; (readablep UNREADABLE) causes strange things
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Tue, 26 Jul 2022 05:42:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

emacs -Q:

(progn (readablep (current-window-configuration))
       (current-buffer))
==> #<buffer  prin1>

After evaluating such a `readablep' call, weird things can happen
because of this buffer being current.  I tried to actually display that
buffer and the window I got looked quite funny, one second later Emacs
had crashed.

TIA,

Michael.

In GNU Emacs 29.0.50 (build 31, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, cairo version 1.16.0)
 of 2022-07-26 built on drachen
Repository revision: c455023f93f5073e7032a2097821e23eafa6f1aa
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)